> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create GCP credentials set



## OpenAPI

````yaml /api-reference/openapi.yaml post /organization/{organizationId}/gcp/credentials
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /organization/{organizationId}/gcp/credentials:
    post:
      tags:
        - Cloud Provider Credentials
      summary: Create GCP credentials set
      operationId: createGcpCredentials
      parameters:
        - $ref: '#/components/parameters/organizationId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GcpCredentialsRequest'
      responses:
        '201':
          description: Credentials created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClusterCredentials'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    organizationId:
      name: organizationId
      in: path
      description: Organization ID
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    GcpCredentialsRequest:
      type: object
      required:
        - name
        - gcp_credentials
      properties:
        name:
          type: string
        gcp_credentials:
          type: string
    ClusterCredentials:
      oneOf:
        - $ref: '#/components/schemas/AwsStaticClusterCredentials'
        - $ref: '#/components/schemas/ScalewayClusterCredentials'
        - $ref: '#/components/schemas/GenericClusterCredentials'
        - $ref: '#/components/schemas/AwsRoleClusterCredentials'
        - $ref: '#/components/schemas/EksAnywhereVsphereClusterCredentials'
        - $ref: '#/components/schemas/AzureStaticClusterCredentials'
        - $ref: '#/components/schemas/GcpStaticClusterCredentials'
      discriminator:
        propertyName: object_type
        mapping:
          AWS:
            $ref: '#/components/schemas/AwsStaticClusterCredentials'
          AWS_ROLE:
            $ref: '#/components/schemas/AwsRoleClusterCredentials'
          EKS_ANYWHERE_VSPHERE:
            $ref: '#/components/schemas/EksAnywhereVsphereClusterCredentials'
          SCW:
            $ref: '#/components/schemas/ScalewayClusterCredentials'
          OTHER:
            $ref: '#/components/schemas/GenericClusterCredentials'
          AZURE:
            $ref: '#/components/schemas/AzureStaticClusterCredentials'
          GCP:
            $ref: '#/components/schemas/GcpStaticClusterCredentials'
    AwsStaticClusterCredentials:
      x-stoplight:
        id: s0aosg7la96hp
      title: AwsStaticClusterCredentials
      type: object
      required:
        - id
        - name
        - access_key_id
        - object_type
      properties:
        id:
          type: string
          x-stoplight:
            id: en79y0yc76xhp
          format: uuid
        name:
          type: string
          x-stoplight:
            id: mx0mwek4ubieo
        access_key_id:
          type: string
          x-stoplight:
            id: 6g20j0ggu8nqc
        object_type:
          x-stoplight:
            id: ravczabg8e2sp
          enum:
            - AWS
    ScalewayClusterCredentials:
      title: ScalewayClusterCredentials
      x-stoplight:
        id: j3ep46eyah9p5
      type: object
      required:
        - id
        - name
        - scaleway_access_key
        - object_type
        - scaleway_project_id
        - scaleway_organization_id
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        scaleway_access_key:
          type: string
          x-stoplight:
            id: 4db3031sq6tea
        object_type:
          enum:
            - SCW
        scaleway_project_id:
          type: string
          x-stoplight:
            id: 0630fqc615vg4
        scaleway_organization_id:
          type: string
          x-stoplight:
            id: 5ui02pola5ndr
    GenericClusterCredentials:
      title: GenericClusterCredentials
      x-stoplight:
        id: gtibx4nzrvxm9
      type: object
      required:
        - id
        - name
        - object_type
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        object_type:
          enum:
            - OTHER
    AwsRoleClusterCredentials:
      title: AwsRoleClusterCredentials
      x-stoplight:
        id: f5c1iewg51zam
      type: object
      required:
        - id
        - name
        - role_arn
        - object_type
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        role_arn:
          type: string
          x-stoplight:
            id: 8l5tuxflg76d2
        object_type:
          enum:
            - AWS_ROLE
    EksAnywhereVsphereClusterCredentials:
      title: EksAnywhereVsphereClusterCredentials
      type: object
      required:
        - id
        - name
        - vsphere_user
        - object_type
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        vsphere_user:
          type: string
        access_key_id:
          type: string
          nullable: true
        role_arn:
          type: string
          nullable: true
        object_type:
          enum:
            - EKS_ANYWHERE_VSPHERE
    AzureStaticClusterCredentials:
      title: AzureStaticClusterCredentials
      x-stoplight:
        id: wo7v4e4c0jlfu
      type: object
      required:
        - id
        - name
        - azure_subscription_id
        - azure_tenant_id
        - object_type
        - azure_application_id
        - azure_application_object_id
      properties:
        id:
          type: string
          x-stoplight:
            id: 7qy00mrnhmclv
          format: uuid
        name:
          type: string
          x-stoplight:
            id: f5c1wc467emz3
        azure_subscription_id:
          type: string
          x-stoplight:
            id: x0s5zbj6l1yx0
        azure_tenant_id:
          type: string
          x-stoplight:
            id: ygjwz6uqfexsc
        object_type:
          x-stoplight:
            id: 8oodrxjznyahm
          enum:
            - AZURE
        azure_application_id:
          type: string
          x-stoplight:
            id: wc0e8cqceyopu
        azure_application_object_id:
          type: string
          x-stoplight:
            id: q20e71qkfsk1k
    GcpStaticClusterCredentials:
      title: GcpStaticClusterCredentials
      x-stoplight:
        id: qtvaepejqookw
      type: object
      required:
        - id
        - name
        - object_type
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        object_type:
          enum:
            - GCP
  responses:
    '400':
      description: Bad request
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````